cubicweb-sentry #17080141 Avoid crashing in add_versions [open]

web_1 | Traceback (most recent call last): web_1 | File "/usr/local/lib/python2.7/dist-packages/wsgicors.py", line 204, in __call__ web_1 | return self.application(environ, custom_start_response) web_1 | File "/usr/local/lib/python2.7/dist-packages/pyramid/router.py", line 233, in __call__ web_1 | response = self.invoke_subrequest(request, use_tweens=True) web_1 | File "/usr/local/lib/python2.7/dist-packages/pyramid/router.py", line 208, in invoke_subrequest web_1 | response = handle_request(request) web_1 | File "/usr/local/share/cubicweb/cubes/signedrequest/pconfig.py", line 27, in body_hash web_1 | return handler(request) web_1 | File "/usr/local/lib/python2.7/dist-packages/pyramid/tweens.py", line 51, in excview_tween web_1 | request_iface=request_iface.combined web_1 | File "/usr/local/lib/python2.7/dist-packages/pyramid/view.py", line 612, in _call_view web_1 | response = view_callable(context, request) web_1 | File "/usr/local/lib/python2.7/dist-packages/pyramid/viewderivers.py", line 409, in viewresult_to_response web_1 | result = view(context, request) web_1 | File "/usr/local/lib/python2.7/dist-packages/pyramid/viewderivers.py", line 106, in mapped_view web_1 | return _mapped_view(context, request) web_1 | File "/usr/local/share/cubicweb/cubes/sentry/patches.py", line 120, in pyramid_error_handler web_1 | pyramid_handle_error(req) web_1 | File "/usr/local/share/cubicweb/cubes/sentry/patches.py", line 110, in pyramid_handle_error web_1 | add_versions(req, extra) web_1 | File "/usr/local/share/cubicweb/cubes/sentry/patches.py", line 41, in add_versions web_1 | versions = req.get_versions() web_1 | AttributeError: 'Request' object has no attribute 'get_versions'

prioritynormal
typebug
done in0.1.5
closed by<not specified>